%global momorel 1
%global libcroco_ver  0.6

Name: libcroco
Summary: css library. 

Version: 0.6.1
Release: %{momorel}m
License: LGPL
Group: System Environment/Libraries
URL: http://www.freespiders.org/projects/libcroco/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2 b0975bd01eb11964f1b3f254f267a43d

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: pkgconfig >= 0.19
BuildPrereq: libxml2-devel >= 2.6.23

%description
css library.

%package devel
Summary: Libraries and include files for developing with libcroco.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libxml2-devel
Requires: pkgconfig

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with libcroco.

%prep
%setup -q

libtoolize -c -f
aclocal-1.7
autoconf

%build
%configure --program-prefix="" --program-suffix=""
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall
( cd %{buildroot}%{_bindir}; \
  ln -sf csslint-%{libcroco_ver} csslint; \
  ln -sf croco-%{libcroco_ver}-config croco-config )
( cd %{buildroot}%{_libdir}/pkgconfig; \
  ln -sf libcroco-%{libcroco_ver}.pc libcroco.pc )

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/croco-config
%{_bindir}/croco-%{libcroco_ver}-config
%{_bindir}/csslint
%{_bindir}/csslint-%{libcroco_ver}
%{_libdir}/*.so.*
#%{_mandir}/man1/csslint.1*

%files devel
%defattr(-,root,root)
%{_libdir}/*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcroco.pc
%{_libdir}/pkgconfig/libcroco-%{libcroco_ver}.pc
#%{_mandir}/man1/croco-config.1*
%{_includedir}/libcroco-%{libcroco_ver}

%changelog
* Wed Apr 19 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.6.1-1m)
- version 0.6.1

* Wed Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.6.0-1m)
- version 0.6.0
- GNOME 2.8 Desktop

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.5.0-1m)
- version 0.5.0
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Mon Mar  8 2004 Kimitake SHIBATA <siva@momonga-linux.org>
- (0.4.0-2m)
- change %%defattr(-,root,root)

* Wed Jan 21 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.4.0-1m)
- version 0.4.0

* Wed Oct 29 2003 Kenta MURATA <muraken2@nifty.com>
- (0.3.0-2m)
- pretty spec file.

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.3.0-2m)
- change URL

* Tue Jul 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.0-1m)
- version 0.3.0

* Mon Jun 30 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.0-1m)
- version 0.2.0

* Fri Apr 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.0-1m)
- version 0.1.0
